www.cendio.com
Bug 5194 - Client should --loop using same process pid, for easy termination
: Client should --loop using same process pid, for easy termination
Status: CLOSED FIXED
: ThinLinc
Client
: 4.2.0
: PC Unknown
: P2 Normal
: 4.3.0
Assigned To:
:
:
:
: 5185
  Show dependency treegraph
 
Reported: 2014-06-23 14:30 by
Modified: 2014-10-06 16:19 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2014-06-23 14:30:21
This is a follow up to bug 3633. Since it is impossible to replace a process
image on Windows, one must create a new process, which means you get a new pid.
When implementing bug 3633, we decided to use the same approach for UNIX
platforms, even though this is not necessary. This means that you cannot
terminate the looping client by sending a signal to the original PID, and
there's no easy way of finding the new pid. We should change the client so that
the original PID is used on UNIX platforms.
------- Comment #1 From cendio 2014-06-23 14:32:19 -------
Tester should test on Linux, Mac and Windows.
------- Comment #2 From cendio 2014-09-24 14:44:23 -------
Verified using ThinLinc client build 4500,

Linux and Mac replaces the process image and the same PID is used while Windows
behaves like before, a new PID for each respawn.

Works as expected.